For the complete documentation index, see llms.txt. This page is also available as Markdown.

View courier coverage areas

The Courier coverage API allows you to retrieve all countries and states that a courier can deliver to

POST https://api.shipbubble.com/v1/shipping/couriers/:service_code/coverage

Path Parameters

Name
Value

service_code

service code of courier.

Response

{
    "status": "success",
    "message": "Retrieved successfully",
    "data": [
        {
            "country": "Nigeria",
            "country_code": "NG",
            "pickup_states": [
                "Abuja",
                "Lagos"
            ],
            "delivery_states": [
                "Abuja",
                "Lagos",
                "Ogun",
                "Oyo"
            ]
        },
        {
            "country": "Ghana",
            "country_code": "GH",
            "pickup_states": [],
            "delivery_states": [
                "Greater Accra Region"
            ]
        },
        {
            "country": "United States",
            "pickup_states": [],
            "delivery_states": [
                "California",
                "Massachusetts"
            ]
        },
        {
            "country": "United Kingdom",
            "pickup_states": [
                "England"
            ],
            "delivery_states": [
                "England"
            ]
        }
    ]
}

Last updated

Was this helpful?